var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
import * as React from 'react';
import DatePicker from "../../date-picker";
import Checkbox from "../../checkbox";
import { prefixCls } from "../DateFilter";

var DateItem = function DateItem(_a) {
  var label = _a.label,
      onCheck = _a.onCheck,
      showCheckbox = _a.showCheckbox,
      includeToday = _a.includeToday,
      labelIncludeToday = _a.labelIncludeToday,
      min = _a.min,
      max = _a.max,
      restProps = __rest(_a, ["label", "onCheck", "showCheckbox", "includeToday", "labelIncludeToday", "min", "max"]);

  var tip = min !== null && min !== void 0 ? min : max;
  return _jsxs("div", __assign({
    className: prefixCls + "-date-item"
  }, {
    children: [_jsxs("div", __assign({
      className: prefixCls + "-date-label"
    }, {
      children: [label, tip ? " (" + tip + ")" : '']
    }), void 0), _jsx(DatePicker, __assign({}, restProps, {
      placeholder: "",
      className: prefixCls + "-date-picker",
      type: "assist-bg"
    }), void 0), showCheckbox && _jsx(Checkbox, {
      type: "menu-bg",
      size: "compact",
      title: labelIncludeToday,
      onChange: onCheck,
      checked: includeToday,
      className: prefixCls + "-include-today"
    }, void 0)]
  }), void 0);
};

DateItem.displayName = 'DateItem';
export default DateItem;
var DateItemMemo = /*#__PURE__*/React.memo(DateItem);
DateItemMemo.displayName = 'DateItemMemo';
export { DateItemMemo };

